WordPress.org

Ready to get started?Download WordPress

Forums

All-in-One Event Calendar
[resolved] Markup Validation Errors (8 posts)

  1. izzaboo
    Member
    Posted 1 year ago #

    I'm getting lots of frustrating validation errors from http://validator.w3.org/ while using AI1EC. (I saw mention of this on time.ly help site, but didn't find anything recent here.)

    Errors like:

    "Bad value tooltip for attribute rel on element a: Not an absolute IRI. The string tooltip is not a registered keyword or absolute URL."

    and

    "Element div not allowed as child of element span in this context."

    and

    "Stray end tag span"

    I only even checked because I had a user complaining that site wouldn't load at all so I've been trying to troubleshoot her problems.

    I'm using 1.8.3-premium of ai1ec.

    I don't particularly want to go through and find where these misplaced tags, etc are coming from and fix them if I'm just going to lose my changes in the next update. Is that lazy of me?

    http://wordpress.org/extend/plugins/all-in-one-event-calendar/

  2. Richard
    Member
    Posted 1 year ago #

    Hi izzaboo,

    I am inclined to agree with you that you should wait for the release of 1.9 and then see if this resolves the aforementioned issue.

    However, if you would like us to look into this prior to then, please can you provide a link to your site?

    Thank you.

  3. izzaboo
    Member
    Posted 1 year ago #

    I confirmed today that a site visitor was unable to load the page with the ai1ec plugin activated and the site loaded quickly when the plugin was deactivated.

    She's apparently using IE7 on Win7 and gets all snippy when I even *joke* about upgrading her browser. Sheeze. I was able to grab screenshots of IE7 successfully loading the page with browsershots.org. I had to write a little script and have her load it email to me what useragent I was dealing with because she didn't know how to find version numbers. (Then she told me she wanted me to realize people won't visit the site if it won't load and they're told to upgrade their browser. Grrr.)

    Anyway, I'm doing all this pro-bono and will have my actual client tell me what they want to do. If I reactivate ai1ec 1.8.3-premium I'll post back here with the URL and you can check it out. That sound good?

    Is there an ETA on version 1.9? So I can better advise my client?

    Thanks so much!

    G

  4. izzaboo
    Member
    Posted 1 year ago #

    Richard,

    I reactivated ai1ec 1.8.3-premium because the visitor mentioned above was able to load several other sites currently employing that plugin. (I only assume the most recent version.)

    You can see it here:

    http://www.jcahc.org/calendar

    That's a full width page, no sidebar widgets. Look at the other pages for the Calendar Widget.

    Here's the validator.w3.org results for the homepage: http://bit.ly/ZgTyU2

    Thanks for taking a look!

    G

  5. Richard
    Member
    Posted 1 year ago #

    Hi izzaboo,

    Sorry for the delay. Our Technical Support Specialist is looking into this for you.

    With regards to 1.9, the dev team is performing extensive testing to make sure it is a great release, so we're now looking at the end of the month.

  6. Richard
    Member
    Posted 1 year ago #

    Hi izzaboo,

    Our Technical Support Specialist looked into this. Due to the dev team focusing on functional upgrades/improvements, we can only allocate dev time to issues which are actually preventing the plugin from functioning properly. In this case, you calendar seems to be working normally. We openly do not support IE8 or below, however if any of your clients have any issues using the calendar with IE9 or other browsers, please let us know. Feel free to email direct at help@time.ly

  7. Ula Szczepaniak
    Member
    Posted 1 year ago #

    @izzaboo,

    Are you using the same page template for calendar page as you are for other pages?

    Regards

  8. izzaboo
    Member
    Posted 1 year ago #

    @Ula

    Nope. For the Calendar page, using the default 'full-width' template included with the current theme.

    Does ai1ec theming use templates? Could there be a conflict there between WP theme and ai1ec theme?

    @Richard thank you for the feedback. I was pretty sure it was a browser issue, although the validation issues look like they could be fixed pretty easily to me. Such fixes may be in v1.9?

    thanks again,
    G

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic